Skip to main content
GET
/
sign
/
envelopes
/
{envelopeID}
:download-audit-trail
Download Audit Trail of Envelope
curl --request GET \
  --url https://api.gonitro.dev/sign/envelopes/{envelopeID}:download-audit-trail \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}:download-audit-trail"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}:download-audit-trail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Missing or invalid Authorization header",
  "instance": "/sign/envelopes"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

envelopeID
string<uuid>
required

A unique UUIDv4 string that identifies the envelope in the Nitro system.

Response

A PDF file containing the full audit trail for the selected envelope.